.TH wxCloseEvent 3 "wx  0.98.3" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
wxCloseEvent \- See external documentation: wxCloseEvent\&.
.SH DESCRIPTION
.LP
See external documentation: wxCloseEvent <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcloseevent\&.html>\&. 
.RS 2
.TP 4
.B
Use wxEvtHandler:connect/3 with EventType::
\fIclose_window\fR, \fIend_session\fR, \fIquery_end_session\fR
.RE
.LP
See also the message variant #wxClose{} event record type\&.
.LP
This class is derived (and can use functions) from: 
.br
wxEvent 

.SH DATA TYPES
.RS 2
.TP 4
.B
\fIwxCloseEvent()\fR:

.RS 4
.LP
An object reference, The representation is internal and can be changed without notice\&. It can\&'t be used for comparsion stored on disc or distributed for use on other nodes\&.
.LP

.RE
.RE
.SH EXPORTS
.LP
.B
canVeto(This::wxCloseEvent()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcloseevent\&.html#wxcloseeventcanveto>\&.
.RE
.LP
.B
getLoggingOff(This::wxCloseEvent()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcloseevent\&.html#wxcloseeventgetloggingoff>\&.
.RE
.LP
.B
setCanVeto(This::wxCloseEvent(), CanVeto::bool()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcloseevent\&.html#wxcloseeventsetcanveto>\&.
.RE
.LP
.B
setLoggingOff(This::wxCloseEvent(), LogOff::bool()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcloseevent\&.html#wxcloseeventsetloggingoff>\&.
.RE
.LP
.B
veto(This::wxCloseEvent()) -> ok
.br
.RS
.LP
Equivalent to veto(This, [])\&.
.RE
.LP
.B
veto(This::wxCloseEvent(), Options::[Option]) -> ok
.br
.RS
.TP
Types
Option = {veto, bool()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcloseevent\&.html#wxcloseeventveto>\&.
.RE
